#pragma once
#ifndef GEN_INTERFACE_H
#define GEN_INTERFACE_H
#include <QJsonObject>
#include <QtSql>
#include <QSqlDatabase>
#include <QSqlQuery>
#include <QSqlError>
#endif // GEN_INTERFACE_H
class Gen_Interface{

public:
    //从数据库中获取systemconfig表中的信息
    QJsonObject getInfofromDb();
    int getLanguageValue();
    int getThemeValue();
    void setLanguageValue(int data);
    void setThemeValue(int data);

};
